%Function used to solve trapped cloud size 
function F=feqntrap(x)

global ASN FLG NUM FRA FRP MAS MAG

ab=0.529e-10;
mub=9.274e-24;
mu0=4*pi*1e-7;
hbar=1.05457e-34;

ma=MAS*1.67e-27;
%%%%

%%exp parameters
N=NUM;
fa=FRA;
fp=FRP;
wa=fa*2*pi;
wp=fp*2*pi;

%ASN is s-wave scattering length in Bohr Radii
as=ASN*ab;                  %the scattering length in meters
g2=mu0*(MAG*mub)^2/(4*pi);

ap=sqrt(hbar/(ma*wp)); 
lam=wa/wp; %lambda aspect ratio of the trap

%%P0 and P2. Notice correction to Yi and You PRA 2003 "expansion of a ..." %%
p0=sqrt(2/pi)*N*as/ap;
p2=FLG*sqrt(2/pi)*N*g2/(3*hbar*wp*ap^3);
%p2 = FLG*(sqrt((2*pi)/5))*sqrt(2/pi)*N*mu0*(MAG*mub)^2*ma /(ap*hbar^2*12*pi);
% IF use You values:
%lam=2;
%p0=10;
%p2=10;

k=x(1)/x(2); %radial over axial length

sk=sqrt(1-k^2); 
hk=atanh(sk)/sk;
ak=(k^2-1)^2;
fk=0.5*(-4*k^4-7*k^2+2+9*k^4*hk)/ak;
gk=(-2*k^4+10*k^2+1-9*k^2*hk)/ak;

a=1/x(1)^3-(p2*fk-p0)/(x(1)^3*x(2))-x(1);
b=1/x(2)^3-(p2*gk-p0)/(x(1)^2*x(2)^2)-lam^2*x(2);
% a=0 and b=0 are equation (3) and (4) , time-independent version, of Yi
% and You, PRA 67, 045601;  described trapped BEC in trap.  FLG=1 with
% dipole, FLG=0 w/o dipole     x(1) and x(3) are sqrt(<x^2*2>) and
% sqrt(<z^2*2>), i.e., trial wavefunc~exp[-x/(2x(1)^2)]etc.




F=[a;b];

