function [Asp,aaa,ppp,Asp0,aaa0,ppp0] = ftrapequilib(ixx, guessSize)

%{
ftrapequilib:  solves insitu cloud size and aspect ratio as function of a_s, 
        compare dipole with no dipole. 
INPUTS
ixx = 1D array for the a_s values in a_0 units.
guessSize = 2 element array guess at the [radial, axial] size used in 
            solving equilibrium size. Make sure decimal input.
OUTPUTS
Asp = Aspect ratio (for each ixx) calculated with MDDI effects
Asp0 = Aspect ratio (for each ixx) calculated without MDDI effects

%}

global ASN FLG NUM FRA FRP MAS MAG;

aaa0=[]; %array of axial length (w/o dipole) to the scattering length
aaa=[]; %array of axial length (w/ dipole) to the scattering length
ppp0=[]; %array of radial length (w/o dipole) to the scattering length
ppp=[]; %array of radial length (w/ dipole) to the scattering length

FLG=0; 
for ix=ixx
   ASN=ix;
   [x, fval]=fsolve(@feqntrap,guessSize,optimset('Display','off'));
   ppp0=[ppp0;x(1)];
   aaa0=[aaa0;x(2)];
end 

Asp0= aaa0./ppp0; %Asp0=ppp0./aaa0; %aspect ratio, no dipole

FLG=1;
for ix=ixx
   ASN=ix;
   [x, fval]=fsolve(@feqntrap,guessSize,optimset('Display','off'));
   ppp=[ppp;x(1)];
   aaa=[aaa;x(2)];
end 
Asp = aaa./ppp;%Asp=ppp./aaa; % aspect ratio, w/ dipole